# Rate limits

Rate limits are enforced per category:

* **General API:** 100 requests per 15 minutes
* **Token creation:** 5 requests per hour
* **Upload endpoints:** 20 requests per hour

### When you exceed the limit

You will receive:

* HTTP `429 Too Many Requests`
* A standard error response body (see [Error handling](/api-reference/readme/error-handling.md))


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.taxsplit.app/api-reference/readme/rate-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
